Subject: Re: bug#63318: Variable ediff-auto-refine doesn't always default to "on"

From: Peter Oliver <[email-masked]>
Date: Mon, 8 May 2023 11:26:47 +0100 (BST)

On Sat, 6 May 2023, Eli Zaretskii wrote:

>> Date: Fri, 5 May 2023 21:21:50 +0100 (BST)
>> From: Peter Oliver <[email-masked]>
>>
>> Document that variable ediff-auto-refine doesn't always default to "on".
>
> Wouldn't it be better to instead fix this, so that the default is
> always "on"?
>
> Why doesn't Ediff turn on ediff-auto-refine for all terminals?
> AFAICT, it only needs faces (basically, colors), and we support that
> on all terminals nowadays?  So I think we should simply change the
> default value (which will also solve bug#63317).  Or what am I
> missing?

I assumed that this complication was present because there exist displays on which auto-refinement isn’t desirable.

If that’s no-longer the case, then great, simplifying the default to always be “on” certainly sounds like the best way to go to me.  Attached is a patch to do that instead.

-- 
Peter Oliver

From 500850a82e07961dd98187428a5a1768f5e77682 Mon Sep 17 00:00:00 2001
From: Peter Oliver <[email-masked]>
Date: Mon, 8 May 2023 11:24:53 +0100
Subject: [PATCH] Always default ediff-auto-refine to 'on

* lisp/vc/ediff-diff.el (ediff-auto-refine): always default to 'on.
---
 lisp/vc/ediff-diff.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/vc/ediff-diff.el b/lisp/vc/ediff-diff.el
index 832e3933df9..0ee973a4de6 100644
--- a/lisp/vc/ediff-diff.el
+++ b/lisp/vc/ediff-diff.el
@@ -142,7 +142,7 @@ ediff-diff-status
 
 ;;; Fine differences
 
-(ediff-defvar-local ediff-auto-refine (if (ediff-has-face-support-p) 'on 'nix)
+(ediff-defvar-local ediff-auto-refine 'on)
   "If `on', Ediff auto-highlights fine diffs for the current diff region.
 If `off', auto-highlighting is not used.  If `nix', no fine diffs are shown
 at all, unless the user force-refines the region by hitting `*'.
-- 
2.40.1